Bug 237203 - RFE yum - Add feature to keep specific/failsafe version of kernel
RFE yum - Add feature to keep specific/failsafe version of kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 19:20 EDT by Kam Leo
Modified: 2014-01-21 17:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 10:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kam Leo 2007-04-19 19:20:51 EDT
Description of problem:

When yum updates the kernel if the number installed exceeds the "tokeep" limit
the oldest version is removed. I would like yum to be enhanced and a parameter
added to installonlyn.conf, e.g. "failsafe", such that the version specified by
"failsafe" will not be removed each time an update occurs. 

Why do I want this? 

1. Newer kernel updates do not always work. I want a known good/working kernel
resident on the system that can be booted using GRUB regardless of the number of
updates. 

2. Keeping an rpm of the "failsafe" version on disk is not very efficient. For
example, if the new updated kernel fails to boot the system and a bootable
kernel is not in the GRUB menu you have to dig out the rescue or install CD and
then go about repairing the system. 

3. With the new feature there would be no need have to track whether an update
will remove the "failsafe" kernel.
Comment 1 Jeremy Katz 2007-04-20 10:43:06 EDT
The kernel you're running and doing updates with is always going to be good
enough to get other kernels (otherwise, how did you get the one you're running)
hence the behavior of installonlyn.

If you want more substantial pinning support, there's a plugin in yum-utils to
provide it.
Comment 2 Kam Leo 2007-04-20 14:03:54 EDT
The ability to fetch and install another kernel may be good enough for a
developer. I believe end users would like the ability to do more than that while
waiting for the next patch.

Are you referring to versionlock?  There does not seem to be much about
versionlock on the Duke site other than a brief description. Is more
documentation available? I don't believe that it does what I want performed. I
want to be able to update the kernel using yum without having to be concerned
about the installonlyn plugin removing a particular kernel. It would also be
nice if the "tokeep" feature included the specified version in its count.

Comment 3 Kam Leo 2007-04-20 14:32:08 EDT
Upon further consideration I believe the "wontfix" and closing this RFE is
correct decision. It is, indeed, not a installonlyn bug. The bug was the default
inclusion of the installonlyn plugin as part of the FC installation process. For
a system administrator the proper course of action is to remove plugin. 

Silly me!

Note You need to log in before you can comment on or make changes to this bug.